class_name Interactable extends StaticBody2D

var busy : bool = false
var queue : GuildQueue

signal interaction_complete()

func _ready() -> void:
	queue = $Queue

func interact(interactor, service : String = ""):
	interaction_complete.emit()
